import axios from '@/utils/axios';

export default {
  /**
 * 查询excel导入
 */
  importProjectPatent(params) {
    return axios.post('/v2/project/import/patent', params)
  },
   /**
   * 获取专利数据库文件夹列表
   */
   getProjectFolderList(params) {
    return axios.get('/v2/project/folder/list', { params })
  },
   /**
   * 获取自定义字段
   */
  getCustomField(params) {
    return axios.get('/v2/field/custom', { params, loading: false })
  },
   /**
   * 获取导入任务列表
   */
   getTaskList(params) {
    return axios.get('/v2/task/list', { params })
  },
  /**
   * 获取队列
   */
  getQueueList(params) {
    return axios.get('/v2/task/queue', { params })
  },
  /**
   * 删除导入成功的任务
   */
  deleteTask(params) {
    return axios({
      url: '/v2/task/delete',
      method: 'post',
      params: params
    })
  },
  /**
 * 查询无效证据和无效请求书
 */
  queryProof(params) {
    return axios.post('/report/api/CompareFiles/queryProof', params)
  },
  /**
 * 上传非专利文献
 */
  addProofByFile(params) {
    return axios.post('/report/api/CompareFiles/addProofByFile', params)
  },
  /**
 * 无效流程无效事务添加
 */
  addInvalidProcess(params) {
    return axios.post('/report/api/invalidProcess/add', params)
  },
  /**
 * 无效流程无效事务修改
 */
  updateInvalidProcess(params) {
    return axios.post('/report/api/invalidProcess/update', params)
  },
  /**
 * 无效流程无效事务查询
 */
  queryInvalidProcess(params) {
    return axios.get('/report/api/invalidProcess/query', {params})
  },
  /**
 * 无效流程无效事务删除
 */
  deleteInvalidProcess(params) {
    return axios.get('/report/api/invalidProcess/delete', {params})
  },
  /**
 * 无效理由和证据：添加无效理由和证据
 */
  addInvalidReason(params) {
    return axios.post('/report/api/invalidReason/addInvalidReason', params)
  },
  /**
 * 根据专利号查询专利
 */
  getFeatureRights(params) {
    return axios.get('/report/api/feature/getRights', {params})
  },
  /**
 * 添加特征
 */
  addSingleFeature(params) {
    return axios.post('/report/api/feature/addSingleFeature', params)
  },
  /**
 * 删除单个特征
 */
  deleteSingleFeature(params) {
    return axios.get('/report/api/feature/deleteSingleFeature', {params})
  },
  /**
 * 查询特征
 */
  getFeatureList(params) {
    return axios.get('/report/api/feature/getFeatureList', {params})
  },
   /**
 * 查询证据组合详情
 */
   queryDetailByInvalidId(params) {
    return axios.get('/report/api/proofGroup/queryDetailByInvalidId', {params})
  },
    /**
 * 修改证据组合详情
 */
    updateProofGroup(params) {
      return axios.post('/report/api/proofGroup/update', params)
    },
  /**
 * 添加或更新无效证据
 */
  addOrUpdatePoofArguments(params) {
    return axios.post('/report/api/arguments/addOrUpdatePoofArguments', params)
  },
  
   /**
 * 添加更新无效证据
 */
   addOrUpdateProofStr(params) {
    return axios.post('/report/api/proof/addOrUpdateProofStr', params)
  },
   /**
 * 删除无效证据arguments/deleteProofStr
 */
   deleteProofStr(params) {
    // return axios.post('/report/api/proof/deleteProofStr', params)
    return axios.post('/report/api/arguments/deleteProofStr', params)
  },
  /**
 * 查询陈述意见列表
 */
  queryPoofArguments(params) {
    return axios.get('/report/api/arguments/queryPoofArguments', {params})
  },
  /**
 * 查询无效理由和证据
 */
  queryInvalidReason(params) {
    return axios.get('/report/api/invalidReason/queryInvalidReason', {params})
  },
  /**
 * 更新无效理由和证据
 */
  updateInvalidReason(params) {
    return axios.post('/report/api/invalidReason/updateInvalidReason', params)
  },
   /**
 * 更新无效理由和证据的陈述意见
 */
   updateArgumentStr(params) {
    return axios.post('/report/api/invalidReason/updateArgumentStr', params)
  },
  /**
 * 删除无效理由和证据
 */
  deleteInvalidReason(params) {
    return axios.post('/report/api/invalidReason/deleteInvalidReason', params)
  },
  /**
 * 根据特征查询证据
 */
  queryProofStr(params) {
    return axios.get('/report/api/arguments/queryProofStr', {params})
  },
  /**
 * 添加陈述意见
 */
  addArguments(params) {
    return axios.post('/report/api/arguments/addArguments', params)
  },
  /**
 * 删除陈述意见
 */
  deletePoofArguments(params) {
    return axios.post('/report/api/arguments/deleteArguments', params)
  },
  /**
 * 划词查询陈述意见
 */
  queryScratchs(params) {
    return axios.get('/report/api/arguments/queryScratchs', {params})
  },
  /**
 * 划词编辑陈述意见
 */
  updateArguments(params) {
    return axios.post('/report/api/arguments/updateArgument', params)
  },
  /**
 * 生成陈述意见方案
 */
  addArgumentsScenario(params) {
    return axios.post('/report/api/argumentsScenario/add', params)
  },
  /**
 * 查询陈述意见方案
 */
  queryArgumentsScenario(params) {
    return axios.get('/report/api/argumentsScenario/query', {params})
  },
  /**
 * 删除陈述意见方案
 */
  deleteArgumentsScenario(params) {
    return axios.post('/report/api/argumentsScenario/delete', params)
  },
  /**
 * 更新陈述意见方案
 */
  updataArgumentsScenario(params) {
    return axios.post('/report/api/argumentsScenario/updata', params)
  },

   /**
 * 证据文献排序
 */
   addProodOrder(params) {
    return axios.post('/report/api/CompareFiles/order/addProodOrder', params)
  },
  


/**
 * 添加自定义栏位
 */
addOrUpdateInvalidFields(params) {
  return axios.post('/report/api/invalidReasonField/addOrUpdateFields', params)
},
/**
 *  查询自定义栏位
 */
queryInvalidFields(params) {
  return axios.get('/report/api/invalidReasonField/queryFields', {params})
},

/**
 * 删除自定义栏位
 */
deleteInvalidFields(params) {
  return axios.post('/report/api/invalidReasonField/deleteFields', params)
},
/**
 * 更新自定义栏位排序和显示
 */
updateSort(params) {
  return axios.post('/report/api/invalidReasonField/updateSort', params)
},

/**
 * 添加或更新无效理由自定义字段值
 */
addOrUpdateValue(params) {
  return axios.post('/report/api/invalidReason/addOrUpdateValue', params)
},
/**
 * 导出无效理由列表
 */
exportInvalid(params) {
  return axios.get('/report/api/invalidReason/exportInvalid', {params})
},
/**
 * 删除证据文献
 */
deleteCompareFile(params) {
  return axios.post('/report/api/compare/deleteCompareFile', params)
},
/**
 * 删除划词陈述意见
 */
deleteArguments(params) {
  return axios.post('/report/api/arguments/deleteArguments', params)
},
}